fuss-server - Segnalazione #114

Errore nel lancio di fuss-server crate
12/13/2016 03:45 PM - Simone Piccardi

Status: Chiuso Start date: 12/13/2016
Priority: Normale Due date:

Assignee: Simone Piccardi % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
Al lancio a macchina pulita fuss-server create fallisce con:

root@fuss—-server:~# fuss-server create
Traceback (most recent call last):
File "/usr/bin/fuss-server", line 509, in <module>
main ()
File "/usr/bin/fuss-server", line 505, in main
args.func(args)
File "/usr/bin/fuss-server", line 388, in create
_config(c)
File "/usr/bin/fuss-server", line 360, in _config
c.load (bootstrap)
File "/usr/bin/fuss-server", line 227, in load
shutil.copyfile(clean_config_file, os.path.realpath(self.c_file))
File "/usr/lib/python2.7/shutil.py", line 83, in copyfile
with open(dst, 'wb') as fdst:
IOError: [Errno 2] No such file or directory: u'/etc/fuss-server/fuss—-server.yaml'

per risolvere basta creare /etc/fuss-server prima di lanciarlo.

History

#1 - 12/13/2016 06:05 PM - Christopher R. Gabriel

lo ho installato ora macchina pulita e fatto create, senza riscontrare il problema.

#2 - 12/14/2016 10:25 AM - Elena Grandi

- Status changed from Nuovo to In elaborazione

Missa che la versione di fuss-server che c'e sul repository & rimasta indietro.

(usando quella versione neanche io ho il problema, ma il pacchetto nel frattempo & cambiato per supportare il caso d'uso "ho imputtanaiato il file di
configurazione, come faccio a ripristinarne uno sano")

#3 - 12/14/2016 10:28 AM - Christopher R. Gabriel

POssibile, si, quella sul repository e' puramente alpha per poter chiudere la generazione della ISO.

lo i test li faccio sempre generando il pacchetto dopo un aggiornamento da git.

#4 - 12/14/2016 10:49 AM - Elena Grandi

- Status changed from In elaborazione to Commenti

04/09/2024 12




- Assignee changed from Elena Grandi to Simone Piccardi

Cambiato il packaging per creare correttamente /etc/fuss-server e fuss-server per creare la directory di destinazione in caso di bisogno

#5 - 12/16/2016 12:27 PM - Simone Piccardi

- Status changed from Commenti to Chiuso

Adesso € a posto.
